For the complete documentation index, see llms.txt. This page is also available as Markdown.

Misc Domain API

The Misc Domain API provides helper endpoints to resolve MX and Whois records for any domain, so you can quickly check where email for a domain is hosted, validate domain ownership, and enrich leads or accounts with reliable domain metadata inside your workflows

Find MX

post

Convenience API to find and return the MX records for domain in higher priority order

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
domainstringRequired

Find MX records for domain

Example: gmail.com
timeoutnumberOptional

Request wait time (in milliseconds), Maximum allowed wait time should not exceed 110000 milliseconds

Default: 90000Example: 90000
Responses
200

OK

application/json
post/domain/resolve/mx
POST /v2/domain/resolve/mx HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "domain": "gmail.com",
  "timeout": 90000
}
HTTP/1.1 200 OK
{
  "status": "success",
  "data": {
    "domain": "gmail.com",
    "mx_records": [
      {
        "exchange": "gmail-smtp-in.l.google.com",
        "priority": 5
      },
      {
        "exchange": "alt1.gmail-smtp-in.l.google.com",
        "priority": 10
      },
      {
        "exchange": "alt2.gmail-smtp-in.l.google.com",
        "priority": 20
      },
      {
        "exchange": "alt3.gmail-smtp-in.l.google.com",
        "priority": 30
      },
      {
        "exchange": "alt4.gmail-smtp-in.l.google.com",
        "priority": 40
      }
    ],
    "verified_on": "2020-11-17T04:17:45.473Z",
    "time_taken": 3
  }
}

Find Whois

post

Convenience API to find and return the Whois record for domain in JSON format

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
domainstringRequired

Find Whois record for domain

Example: apple.com
timeoutnumberOptional

Request wait time (in milliseconds), Maximum allowed wait time should not exceed 110000 milliseconds

Default: 90000Example: 90000
Responses
200

OK

application/json
post/domain/resolve/whois
POST /v2/domain/resolve/whois HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "domain": "apple.com",
  "timeout": 90000
}
HTTP/1.1 200 OK
{
  "status": "success",
  "data": {
    "domain": "apple.com",
    "whoisRecord": {
      "domain": {
        "name": "apple.com",
        "id": "1225976_DOMAIN_COM-VRSN",
        "status": {
          "clientTransferProhibited": "http://www.icann.org/epp#clientTransferProhibited",
          "serverDeleteProhibited": "http://www.icann.org/epp#serverDeleteProhibited",
          "serverTransferProhibited": "http://www.icann.org/epp#serverTransferProhibited",
          "serverUpdateProhibited": "http://www.icann.org/epp#serverUpdateProhibited"
        },
        "created_date": "1987-02-19T04:00:00.000Z"
      },
      "registrar": {
        "name": "CSC CORPORATE DOMAINS, INC.",
        "whois_server": "whois.corporatedomains.com",
        "url": "www.cscprotectsbrands.com",
        "registration_expiry_date": "2021-02-20T04:00:00.000Z",
        "abuse_contact_email": "domainabuse@cscglobal.com",
        "abuse_contact_phone": "+1.8887802723"
      },
      "registrant": {
        "id": "",
        "name": "Domain Administrator",
        "organization": "Apple Inc.",
        "steet": "",
        "city": "Cupertino",
        "state": "",
        "postal_code": "95014",
        "country": "US",
        "phone": "+1.4089961010",
        "phone_ext": "",
        "fax": "+1.4089741560",
        "fax_ext": "",
        "email": "domains@apple.com",
        "admin": {
          "id": "",
          "name": "Domain Administrator",
          "organization": "Apple Inc.",
          "steet": "",
          "city": "Cupertino",
          "state": "",
          "postal_code": "95014",
          "country": "US",
          "phone": "+1.4089961010",
          "phone_ext": "",
          "fax": "+1.4089741560",
          "fax_ext": "",
          "email": "domains@apple.com"
        },
        "tech": {
          "id": "",
          "name": "Domain Administrator",
          "organization": "Apple Inc.",
          "steet": "",
          "city": "Cupertino",
          "state": "",
          "postal_code": "95014",
          "country": "US",
          "phone": "+1.4089961010",
          "phone_ext": "",
          "fax": "+1.4089741560",
          "fax_ext": "",
          "email": "apple-noc@apple.com"
        }
      },
      "dnssec": "unsigned",
      "nameservers": [],
      "notice": "You are not authorized to access or query our WHOIS database through the use of high-volume, automated, electronic processes or for the purpose or purposes of using the data in any manner that violates these terms of use. The Data in the CSC WHOIS database is provided by CSC for information purposes only, and to assist persons in obtaining information about or related to a domain name registration record. CSC does not guarantee its accuracy. By submitting a WHOIS query, you agree to abide by the following terms of use",
      "term_of_use": "",
      "last_update_whois_database": ""
    },
    "verified_on": "2020-11-17T04:15:51.692Z",
    "time_taken": 687
  }
}

Last updated

Was this helpful?